<%@ Page Language="VB" AutoEventWireup="true"  CodeFile="Default.aspx.vb" Inherits="_Default" %>
<%@ Import Namespace="Krystalware.SlickUpload" %>
<%@ Import Namespace="Krystalware.SlickUpload.Providers" %>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" >
<head runat="server">
    <title>SlickUpload SqlClient upload location provider sample</title>
    <style type="text/css">
        body {font-family:tahoma,verdana,sans-serif}
        h1 {font-size:125%}
	    input.uploadBox { margin-bottom:1em; margin-left:0.5em; margin-right:0.5em; width:60%; border:1px solid #cccccc; }
        table.results {border-collapse:collapse;border:1px solid #c0c0c0}
        table.results td, table.results th {border:1px solid #c0c0c0}
        table.results th {background-color:#e0e0e0}
    </style>
</head>
<body>
    <form id="form1" name="form1" runat="server" enctype="multipart/form-data">
        <h1>SqlClient upload location provider sample</h1>
        <input type="file" name="file1" id="file1" class="uploadBox" />
        <input type="file" name="file2" id="file2" class="uploadBox" />
        <p><asp:Button ID="uploadButton" runat="server" Text="Upload" OnClick="uploadButton_Click" /></p>
        <asp:Panel ID="uploadResultsPanel" runat="server" Visible="false" EnableViewState="false">
            <div id="resultsMessage" runat="server" />
            <asp:Repeater ID="resultsRepeater" runat="server">
                <HeaderTemplate>
                    <br />
                    <table class="results" width="100%" cellpadding="4" cellspacing="0">
                        <thead>
                            <tr>
                                <th align="left">Name</th>
                                <th align="left">Mime Type</th>
                                <th align="left">Length (bytes)</th>
                                <th align="left">Id</th>
                            </tr>
                        </thead>
                        <tbody>
                </HeaderTemplate>
                <ItemTemplate>
                    <tr>
                        <td><%#DirectCast(Container.DataItem, UploadedFile).ClientName%></td>
                        <td><%#DirectCast(Container.DataItem, UploadedFile).ContentType%></td>
                        <td><%#DirectCast(Container.DataItem, UploadedFile).ContentLength%></td>
                        <td><%#DirectCast(Container.DataItem, UploadedFile).LocationInfo(SqlClientUploadStreamProvider.IdentityIdKey)%></td>
                    </tr>
                </ItemTemplate>
                <FooterTemplate>
                        </tbody>
                    </table>
                </FooterTemplate>
            </asp:Repeater>
        </asp:Panel>        
        <h2>Existing files</h2>
        <asp:Repeater ID="filesRepeater" runat="server">
            <HeaderTemplate>
                <table class="results" width="100%" cellpadding="4" cellspacing="0">
                    <thead>
                        <th align="left">Name</th>
                        <th align="left">Length (bytes)</th>
                    </thead>
                    <tbody>
            </HeaderTemplate>
            <ItemTemplate>
                <tr>
                    <td>
                        <a href="DownloadFile.ashx?id=<%#DirectCast(Container.DataItem, RepositoryFile).Id%>"><%#DirectCast(Container.DataItem, RepositoryFile).Name%></a>
                    </td>
                    <td>
                        <%#DirectCast(Container.DataItem, RepositoryFile).Length%>
                    </td>
                </tr>
            </ItemTemplate>
            <FooterTemplate>
                    </tbody>
                </table>            
            </FooterTemplate>
        </asp:Repeater>
    </form>
</body>
</html>
