﻿<%@ Page Language="C#" AutoEventWireup="true" CodeFile="UploadPage1.aspx.cs" Inherits="UploadPage1" %>
<%@ Register Assembly="Krystalware.SlickUpload" Namespace="Krystalware.SlickUpload.Controls" TagPrefix="kw" %>
<%@ Import Namespace="Krystalware.SlickUpload" %>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head runat="server">
    <title>Upload page 1</title>
    <style type="text/css">
        body
        {
            font-family: tahoma,verdana,sans-serif;
        }
        h1
        {
            font-size: 125%;
        }
        table.results
        {
            border-collapse: collapse;
            border: 1px solid #c0c0c0;
        }
        table.results td, table.results th
        {
            border: 1px solid #c0c0c0;
        }
        table.results th
        {
            background-color: #e0e0e0;
        }
    </style>
</head>
<body>
    <form id="form1" name="form1" runat="server">
    <h1>
        Upload page 1</h1>
        <ul>
            <li><a href="UploadPage2.aspx">Upload page 2</a></li>
        </ul>        
    <asp:Panel ID="uploadPanel" runat="server" Width="100%">
        <kw:UploadManager ID="uploadManager" runat="server" OnUploadComplete="uploadManager_UploadComplete"
            Width="100%" UploadHandlerLocation="SlickUploadHandler1.axd">
            <ProgressAreaTemplate>
                <table width="100%">
                    <tr>
                        <td>
                            Uploading
                            <kw:ProgressElement ID="progressElement1" Element="FileCountText" runat="server">
                            </kw:ProgressElement>
                            ,
                            <kw:ProgressElement ID="progressElement7" Element="ContentLengthText" runat="server">
                            </kw:ProgressElement>
                            .
                        </td>
                    </tr>
                    <tr>
                        <td>
                            Currently uploading:
                            <kw:ProgressElement ID="progressElement2" Element="CurrentFileName" runat="server">
                            </kw:ProgressElement>
                            , file
                            <kw:ProgressElement ID="progressElement6" Element="CurrentFileIndex" runat="server">
                            </kw:ProgressElement>
                            of
                            <kw:ProgressElement ID="progressElement5" Element="FileCount" runat="server">
                            </kw:ProgressElement>
                            .
                        </td>
                    </tr>
                    <tr>
                        <td>
                            Speed:
                            <kw:ProgressElement ID="progressElement3" Element="SpeedText" runat="server">
                            </kw:ProgressElement>
                            .
                        </td>
                    </tr>
                    <tr>
                        <td>
                            About
                            <kw:ProgressElement ID="progressElement4" Element="TimeRemainingText" runat="server">
                            </kw:ProgressElement>
                            &nbsp;remaining.
                        </td>
                    </tr>
                    <tr>
                        <td>
                        <div style="border:1px solid #008800;height:1.5em;position:relative">
                            <kw:ProgressBarElement  id="progressBarElement1" style="background-color:#00ee00;width:0;height:1.5em" runat="server">
                            </kw:ProgressBarElement>
                            <div style="text-align:center;position:absolute;top:.15em;width:100%">
                                <kw:ProgressElement id="progressElement8" element="PercentCompleteText" runat="server"></kw:ProgressElement>
                            </div>
                        </div>
                        </td>
                    </tr>
                </table>
            </ProgressAreaTemplate>
        </kw:UploadManager>
        <asp:Button ID="submitButton" runat="Server" Text="Upload" class="suSubmitButton" />
        <a href="javascript:SlickUpload_CancelUpload()" class="suCancelButton" style="display: none">
            Cancel</a>
    </asp:Panel>
    <asp:Panel ID="uploadResultsPanel" runat="server" Visible="false" EnableViewState="false">
        <div id="resultsMessage" runat="server" />
        <asp:Repeater ID="resultsRepeater" runat="server">
            <HeaderTemplate>
                <br />
                <table class="results" width="100%" cellpadding="4" cellspacing="0">
                    <thead>
                        <tr>
                            <th align="left">
                                Name
                            </th>
                            <th align="left">
                                Mime Type
                            </th>
                            <th align="left">
                                Length (bytes)
                            </th>
                        </tr>
                    </thead>
                    <tbody>
            </HeaderTemplate>
            <ItemTemplate>
                <tr>
                    <td>
                        <%#((UploadedFile)Container.DataItem).ClientName %>
                    </td>
                    <td>
                        <%#((UploadedFile)Container.DataItem).ContentType %>
                    </td>
                    <td>
                        <%#((UploadedFile)Container.DataItem).ContentLength %>
                    </td>
                </tr>
            </ItemTemplate>
            <FooterTemplate>
                </tbody> </table>
            </FooterTemplate>
        </asp:Repeater>
        <br />
        <asp:Button ID="restartButton" runat="server" Text="New Upload" OnClick="restartButton_Click" />
    </asp:Panel>
    </form>
</body>
</html>
